cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params Struct Reference

Parameters passed to initialize the ierator.

`#include <fragment_stream.h>`

## Public Types

typedef LoadIterator::Params | LoadParams
| Load parameters. More...
typedef StoreIterator::Params | StoreParams
| Store parameters. More...

## Public Member Functions

CUTLASS_HOST_DEVICE int | initialize (LoadParams const &_load_params, StoreParams const &_store_params)
| Initializes parameters. More...

## Public Attributes

LoadParams | load_params
| Parameters to load iterator. More...
StoreParams | store_params
| Parameters to the store iterator. More...

## Member Typedef Documentation

## LoadParams

template<typename Traits_, typename LoadIterator_, typename StoreIterator_, typename Convert_ = FragmentCopy<typename StoreIterator_::Fragment, typename LoadIterator_::Fragment>, typename Index_ = int>

typedef LoadIterator::Params cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params::LoadParams

## StoreParams

template<typename Traits_, typename LoadIterator_, typename StoreIterator_, typename Convert_ = FragmentCopy<typename StoreIterator_::Fragment, typename LoadIterator_::Fragment>, typename Index_ = int>

typedef StoreIterator::Params cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params::StoreParams

## Member Function Documentation

## initialize()

template<typename Traits_, typename LoadIterator_, typename StoreIterator_, typename Convert_ = FragmentCopy<typename StoreIterator_::Fragment, typename LoadIterator_::Fragment>, typename Index_ = int>

CUTLASS_HOST_DEVICE int cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params::initialize | ( | LoadParams const & | _load_params,
|  | StoreParams const & | _store_params
| ) |  |

inline

## Member Data Documentation

## load_params

template<typename Traits_, typename LoadIterator_, typename StoreIterator_, typename Convert_ = FragmentCopy<typename StoreIterator_::Fragment, typename LoadIterator_::Fragment>, typename Index_ = int>

LoadParams cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params::load_params

## store_params

template<typename Traits_, typename LoadIterator_, typename StoreIterator_, typename Convert_ = FragmentCopy<typename StoreIterator_::Fragment, typename LoadIterator_::Fragment>, typename Index_ = int>

StoreParams cutlass::FragmentStream< Traits_, LoadIterator_, StoreIterator_, Convert_, Index_ >::Params::store_params

The documentation for this struct was generated from the following file:

- fragment_stream.h